View Issue Details

IDProjectCategoryView StatusLast Update
14334Bug reports[All Projects] Survey participants (Tokens)public2019-04-30 09:12
Reporterrikatechdoku Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14334: When importing a csv file to the participants table, the UI indicates that double Token values could be allowed
Description

When importing a csv file to the participants table, the UI indicates that double Token values could be allowed:

In the list box "Duplicates are determined by" (connected to the "Filter duplicate records" feature) it also lists "Token" as option which can be chosen or not chosen.
However, entries with same Tokens are always considered as duplicates by the system, as it seems.

This should be reflected in the UI (at least it should not indicate the opposite).
Preferrably, also a clear warning about these circumstances should be given in the context of the "Filter duplicate records" feature.

Steps To Reproduce

Export the participants table to csv, then reimport it again and turn off the "Filter duplicate records" feature.
Try it again, but first delete the Token values from the csv file.

Tagsimport
Complete LimeSurvey version number (& build)3.15.5 build 181115
I will donate to the project if issue is resolvedNo
BrowserFirefox 63.0.3 (64-Bit)
Database & DB-Versionmysql (xampp-version)
Server OS (if known)
Webserver software & version (if known)
PHP Version5.6.8 (xampp-version)

Activities

DenisChenu

DenisChenu

2018-12-11 18:11

developer   ~49927

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28619

c_schmitz

c_schmitz

2019-04-30 09:12

administrator   ~51630

Fixed in Version 3.1.7.3

Related Changesets

LimeSurvey: master 531c8a90

2018-12-11 18:11:07

DenisChenu

Details Diff
Fixed issue 14334: When importing a csv file to the participants table, the UI indicates that double Token values could be allowed Affected Issues
14334
mod - application/views/admin/token/csvupload.php Diff File

Issue History

Date Modified Username Field Change
2018-12-11 09:55 rikatechdoku New Issue
2018-12-11 15:50 DenisChenu Assigned To => DenisChenu
2018-12-11 15:50 DenisChenu Status new => assigned
2018-12-11 15:54 rikatechdoku Tag Attached: import
2018-12-11 18:11 DenisChenu Changeset attached => LimeSurvey master 531c8a90
2018-12-11 18:11 DenisChenu Note Added: 49927
2018-12-11 18:11 DenisChenu Resolution open => fixed
2018-12-11 19:35 DenisChenu Category Survey participants (Tokens) => Expression Manager
2018-12-11 19:35 DenisChenu Category Expression Manager => Survey participants (Tokens)
2018-12-12 09:46 DenisChenu Status assigned => resolved
2018-12-12 09:46 DenisChenu Fixed in Version => 3.15.x
2019-04-30 09:12 c_schmitz Note Added: 51630
2019-04-30 09:12 c_schmitz Status resolved => closed